import { BaseDomainEvent } from './base-domain.event';

export class NotificationPreferenceChangedEvent extends BaseDomainEvent {
  readonly eventType = 'notification.preference.changed';

  constructor(
    public readonly userId: string,
    public readonly changes: Record<string, any>,
  ) {
    super();
  }
}
